Component.AccessibleAWTComponent.AccessibleAWTFocusHandler (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: java.awt, class: Component, class: AccessibleAWTComponent, class: AccessibleAWTFocusHandler
Keywords: java.awt.Component.AccessibleAWTComponent.AccessibleAWTFocusHandler class

Module java.desktop
Package java.awt

# Class Component.AccessibleAWTComponent.AccessibleAWTFocusHandler

java.lang.Object
java.awt.Component.AccessibleAWTComponent.AccessibleAWTFocusHandler

All Implemented Interfaces:
  `FocusListener`, `Serializable`, `EventListener`

Enclosing class:
  Component.AccessibleAWTComponent

protected class Component.AccessibleAWTComponent.AccessibleAWTFocusHandler extends Object implements FocusListener, Serializable
Fire PropertyChange listener, if one is registered, when focus events happen

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AccessibleAWTFocusHandler()`
  Constructs an `AccessibleAWTFocusHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `focusGained(FocusEvent event)`
  Invoked when a component gains the keyboard focus.
  `void`
  `focusLost(FocusEvent event)`
  Invoked when a component loses the keyboard focus.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessibleAWTFocusHandler

    protected AccessibleAWTFocusHandler()
    Constructs an `AccessibleAWTFocusHandler`.

- ## Method Details

  - ### focusGained

    public void focusGained(FocusEvent event)
    Description copied from interface: `FocusListener`
    Invoked when a component gains the keyboard focus.
    Specified by:
      `focusGained` in interface `FocusListener`
    Parameters:
      `event` - the event to be processed

  - ### focusLost

    public void focusLost(FocusEvent event)
    Description copied from interface: `FocusListener`
    Invoked when a component loses the keyboard focus.
    Specified by:
      `focusLost` in interface `FocusListener`
    Parameters:
      `event` - the event to be processed